Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5158)
@@ -256,7 +256,7 @@
  
 
-  do k=1,klon
+  DO k=1,klon
       maskdustloc(k)=0
-      do i=1,ntyp
+      DO i=1,ntyp
          IF (masklisa(k,i)>0) THEN
              maskdustloc(k)=1
@@ -358,5 +358,5 @@
   auxr3=9999.
   auxr4=9999.
-  do i=1,nbins+1
+  DO i=1,nbins+1
    IF (abs(sizeacclow-itv(i))<auxr1) THEN
           auxr1=abs( sizeacclow-itv(i))
@@ -380,6 +380,6 @@
 IF (writeaerosoldistrib) THEN
 !JEdbg<<
-  do j=1,klon
-  do i=1,nbins
+  DO j=1,klon
+  DO i=1,nbins
     itvmean(j,i)=(itv(i)+itv(i+1))/2.
     itv2(j,i)=itv(i)
@@ -405,6 +405,6 @@
   ALLOCATE(emisbinlocalmean(klon,nbins))
   ALLOCATE(emisbinlocalmean2(klon,nbins))
-  do i=1,nbins
-    do j=1,klon
+  DO i=1,nbins
+    DO j=1,klon
        emisbinlocalmean(j,i)=0.0
        emisbinlocalmean2(j,i)=0.0
@@ -433,13 +433,13 @@
 auxr2=0.0
 auxr3=0.0
-  do i=iminacclow,iminacchigh-1
+  DO i=iminacclow,iminacchigh-1
    auxr1=auxr1+emisbinlocal(k,i)
   enddo
   emdustacc(k)=(auxr1 + basesumacc(k))*tuningfactorfine
-  do i=imincoalow,imincoahigh-1
+  DO i=imincoalow,imincoahigh-1
     auxr2=auxr2+emisbinlocal(k,i)
   enddo
   emdustcoa(k)=(auxr2 + basesumcoa(k))*tuningfactorcoa
-  do i=iminscolow,iminscohigh-1
+  DO i=iminscolow,iminscohigh-1
     auxr3=auxr3+emisbinlocal(k,i)
   enddo
@@ -468,6 +468,6 @@
 !JEdbg<<
 IF (writeaerosoldistrib) THEN
-  do i=1,nbins
-    do j=1,klon
+  DO i=1,nbins
+    DO j=1,klon
         emisbinlocalmean(j,i)=emisbinlocalmean(j,i)+emisbinlocal(j,i)
     enddo 
@@ -479,6 +479,6 @@
 IF (MOD(counter,1440)== 0) THEN
    !if (MOD(counter,480).EQ. 0) THEN
-   do k = 1,klon
-   do i=1,nbins
+   DO k = 1,klon
+   DO i=1,nbins
      emisbinlocalmean2(k,i)=emisbinlocalmean(k,i)/float(counter1)
    enddo
@@ -493,6 +493,6 @@
 !!$OMP END MASTER
 !!$OMP BARRIER
-   do i=1,nbins
-     do j=1,klon
+   DO i=1,nbins
+     DO j=1,klon
         emisbinlocalmean(j,i)=0.0
      enddo
@@ -751,5 +751,5 @@
       dstep=0.0005
       dp=dmin
-      do i=1,nclass
+      DO i=1,nclass
          dp=dp*exp(dstep)
          sizeclass(i)=dp
@@ -770,5 +770,5 @@
 !c 0: Iversen and White 1982
        print *,'Using  Iversen and White 1982 Uth'
-         do i=1,ncl
+         DO i=1,ncl
             bb=adust*(sizeclass(i)**xdust)+bdust
             cc=sqrt(1+ddust*(sizeclass(i)**(-2.5)))
@@ -789,5 +789,5 @@
             an=0.0123
             gam=0.3
-            do i=1,ncl
+            DO i=1,ncl
                sigshao=rop/roa
                x1=sigshao*gravity*sizeclass(i)
@@ -845,6 +845,6 @@
   !wind friction velocity.
       !    feff(:,:)=0.
-       do i=1,klon
-          do k=1,ntyp
+       DO i=1,klon
+          DO k=1,ntyp
      !     PRINT*,'IKKK ',i,klon,k,ntyp
              IF (zos(i,k)==0..or.z01(i,k)==0.) THEN
@@ -887,6 +887,6 @@
   IF (flag_feff == 0) THEN
     print *,'JE_dbg FORCED deactivated feff'
-    do i=1,klon
-      do k=1,ntyp
+    DO i=1,klon
+      DO k=1,ntyp
         feff(i,k)=1.
       enddo
@@ -1273,5 +1273,5 @@
 
 !                  CALL def_ag01(kfin,ft1,ft2,ft3)
-      do ni=1,kfin
+      DO ni=1,kfin
          fdp1=1.-(uth2(ni)/(ceff*ustarsalt))
          IF (fdp1<=0..or.srel2(nat,ni)==0.) THEN
@@ -1388,5 +1388,5 @@
 ! readaptation of large sizes particles
          kfin=0
-         do i=ideb,ifin
+         DO i=ideb,ifin
             kfin=kfin+1
             sizeclass2(kfin)=sizeclass(i)
@@ -1397,5 +1397,5 @@
          kfin2=kfin
          istep=50
-         do i=ifin,ncl,istep
+         DO i=ifin,ncl,istep
             kfin=kfin+1
             sizeclass2(kfin)=sizeclass(i)
@@ -1433,5 +1433,5 @@
       ismax=i2
       ihalf=int((ismax+ismin)/2.)
-      do k2=1,1000000
+      DO k2=1,1000000
           IF(ds>siz(ihalf))THEN
              ismin=ihalf
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5158)
@@ -4,4 +4,7 @@
   USE infotrac
   USE lmdz_libmath, ONLY: ismax, ismin
+
+  IMPLICIT NONE
+
   INCLUDE "dimensions.h"
 
@@ -9,4 +12,5 @@
   CHARACTER(LEN = *) :: comment
   REAL :: qmin, qmax
+  REAL :: zqmin, zqmax
   REAL :: zq(klon, klev)
 
@@ -24,7 +28,5 @@
   zqmax = zq(ijmax, lmax)
 
-  IF(zqmin<qmin.OR.zqmax>qmax) &
-          WRITE(*, 9999) comment, &
-                  ijmin, lmin, zqmin, ijmax, lmax, zqmax
+  IF(zqmin<qmin.OR.zqmax>qmax) WRITE(*, 9999) comment, ijmin, lmin, zqmin, ijmax, lmax, zqmax
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/minmaxsource.f90	(revision 5158)
@@ -5,4 +5,6 @@
   USE lmdz_libmath, ONLY: ismax, ismin
 
+  IMPLICIT NONE
+
   INCLUDE "dimensions.h"
 
@@ -10,4 +12,5 @@
   CHARACTER(LEN = *) :: comment
   REAL :: qmin, qmax
+  REAL :: zqmin, zqmax
   REAL :: zq(klon, nbtr)
 
@@ -25,7 +28,5 @@
   zqmax = zq(ijmax, lmax)
 
-  IF(zqmin<qmin.OR.zqmax>qmax) &
-          WRITE(*, 9999) comment, &
-                  ijmin, lmin, zqmin, ijmax, lmax, zqmax
+  IF(zqmin<qmin.OR.zqmax>qmax) WRITE(*, 9999) comment, ijmin, lmin, zqmin, ijmax, lmax, zqmax
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/neutral.f90	(revision 5158)
@@ -41,5 +41,5 @@
 
   psi = 0.
-  do i = 1, klon
+  DO i = 1, klon
 
     IF (u10_mps(i) < 0.) u10_mps(i) = 0.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5158)
@@ -1343,7 +1343,7 @@
 
     !JE_dbg
-    do i = 1, klon
+    DO i = 1, klon
       tsol(i) = 0.0
-      do j = 1, nbsrf
+      DO j = 1, nbsrf
         tsol(i) = tsol(i) + ftsol(i, j) * pctsrf(i, j)
       enddo
@@ -1382,5 +1382,5 @@
       id_scdu = -1
       itr = 0
-      do iq = 1, nqtot
+      DO iq = 1, nqtot
         IF(.NOT.tracers(iq)%isInPhysics) CYCLE
         itr = itr + 1
@@ -1941,5 +1941,5 @@
       !$OMP END MASTER
       !$OMP BARRIER
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_oce)
       enddo
@@ -1954,5 +1954,5 @@
       !$OMP BARRIER
 
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_sic)
       enddo
@@ -1967,5 +1967,5 @@
       !$OMP BARRIER
 
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_ter)
       enddo
@@ -1980,5 +1980,5 @@
       !$OMP BARRIER
 
-      do i = 1, klon
+      DO i = 1, klon
         aux_var2(i) = pctsrf(i, is_lic)
       enddo
@@ -2066,10 +2066,10 @@
     !     .                                         MAXVAL(tr_seri(:,:,3))
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('sav'//str2,1,'SOURCE','',source_tr(:,itr))
          CALL iophys_ecrit('fav'//str2,1,'SOURCE','',source_tr(:,itr))
       enddo
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRB'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2099,5 +2099,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('sap'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2196,5 +2196,5 @@
 #ifdef IOPHYS_DUST
 
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('tpr'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2240,5 +2240,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('t'//str2,1,'SOURCE','',source_tr(:,itr))
@@ -2296,5 +2296,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRC'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2336,5 +2336,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRD'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2410,5 +2410,5 @@
       CALL iophys_ecrit('yv1',1,'yv1','',yv1)
       CALL iophys_ecrit('delp',klev,'delp','',delp)
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRE'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2602,5 +2602,5 @@
     !=======================================================================
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRF'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2689,5 +2689,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRG'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -2854,5 +2854,5 @@
 
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRH'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -3053,5 +3053,5 @@
       CALL iophys_ecrit('wdtrainM',klev,'wdtrainM','',wdtrainM)
 
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRI'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -3174,5 +3174,5 @@
     !=======================================================================
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRJ'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -3440,5 +3440,5 @@
     !======================================================================
 #ifdef IOPHYS_DUST
-      do itr=1,nbtr
+      DO itr=1,nbtr
          WRITE(str2,'(i2.2)') itr
          CALL iophys_ecrit('TRK'//str2,klev,'SOURCE','',tr_seri(:,:,itr))
@@ -4306,5 +4306,5 @@
     IF (is_mpi_root .AND. is_omp_root) THEN
       OPEN(1, file = trim(adjustl(filescaleparams)), form = 'unformatted')
-      do k = 1, nbreg
+      DO k = 1, nbreg
         read(1)  scale_param(k)
       enddo
@@ -4454,5 +4454,5 @@
       ierr = nf90_open(trim(adjustl(filescaleparams)), nf90_nowrite, nid)
       IF (ierr == nf90_noerr) THEN
-        do i = 1, nbreg
+        DO i = 1, nbreg
           WRITE(aux_2s, '(i2.2)') i
           varname = trim(adjustl(paramname)) // aux_2s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5158)
@@ -52,5 +52,5 @@
       latstr='null'
       isinversed=.FALSE.
-      do i=1,5
+      DO i=1,5
        IF (i==1) aux4s='latu'
        IF (i==2) aux4s='LATU'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5158)
@@ -111,6 +111,6 @@
   REAL :: zz
 
-  do l = 1, nl
-    do i = 2, iim - 1
+  DO l = 1, nl
+    DO i = 2, iim - 1
       IF(abs(x(i, l))>1.e10) THEN
         zz = 0.5 * (x(i - 1, l) + x(i + 1, l))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5158)
@@ -127,5 +127,5 @@
        tks = 5e-4
 
-       do iter = 1, 3
+       DO iter = 1, 3
           ! Cool skin
           dels = rns * (0.065 + 11. * tkt - 6.6e-5 / tkt &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5158)
@@ -1,4 +1,6 @@
 MODULE strataer_emiss_mod
   ! This module contains information about strato microphysic model emission parameters
+  IMPLICIT NONE; PRIVATE
+  PUBLIC strataer_emiss_init
 
 CONTAINS
@@ -11,4 +13,7 @@
     USE lmdz_phys_para, ONLY: is_master
     USE lmdz_abort_physic, ONLY: abort_physic
+    USE dimphy, ONLY: klon
+
+    IMPLICIT NONE
 
     ! Local variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5158)
@@ -43,6 +43,6 @@
       REAL, parameter :: rath2oair = mAIRmol/mH2Omol
       REAL, parameter :: third = 1./3.
-      real            :: pph2ogas(klon,klev) 
-      real            :: temp, wpp, xa, surtens, mvh2o, radwet, fkelvin, pph2okel, r2so4ik, denso4ik
+      REAL            :: pph2ogas(klon,klev)
+      REAL            :: temp, wpp, xa, surtens, mvh2o, radwet, fkelvin, pph2okel, r2so4ik, denso4ik
 !----------------------------------------
   
@@ -750,5 +750,5 @@
        INTEGER N
        REAL XT,X(N)
-!      Working variables	  	   
+!      Working variables
        INTEGER JX,I
   
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5158)
@@ -135,5 +135,5 @@
 
              !----Initialisations
-             do i=1,klon
+             DO i=1,klon
 !!jyg                proba_notrig(i)=1.
                 random_notrig(i)=1e6*ale_bl_stat(i)-int(1e6*ale_bl_stat(i))
@@ -156,5 +156,5 @@
              IF (iflag_trig_bl==1) THEN
                 !----Tirage al\'eatoire et calcul de ale_bl_trig
-                do i=1,klon
+                DO i=1,klon
                    IF ( (ale_bl_stat(i) > abs(cin(i))+1.e-10) )  THEN
                       proba_notrig(i)=proba_notrig(i)* &
@@ -177,5 +177,5 @@
 
              ELSE IF (iflag_trig_bl>=2) THEN
-                do i=1,klon
+                DO i=1,klon
                    IF ( (Ale_bl(i) > abs(cin(i))+1.e-10) )  THEN
                       proba_notrig(i)=proba_notrig(i)* &
@@ -208,5 +208,5 @@
           !-----------Statistical closure-----------
           IF (iflag_clos_bl==1) THEN
-             do i=1,klon
+             DO i=1,klon
                 !CR: alp probabiliste
                 IF (ale_bl_trig(i)>0.) THEN
@@ -217,5 +217,5 @@
           ELSE IF (iflag_clos_bl==2) THEN
              !CR: alp calculee dans thermcell_main
-             do i=1,klon
+             DO i=1,klon
                 alp_bl(i)=alp_bl_stat(i)
              enddo
@@ -244,9 +244,9 @@
         ! iflag_trig_bl value.
         IF (iflag_trig_bl==1) then         ! use ale_bl_stat (Rochetin computation)
-         do i=1,klon
+         DO i=1,klon
               ale_bl_ref(i)=ale_bl_stat(i)
          enddo
         ELSE IF (iflag_trig_bl>=2) then    ! use ale_bl (old computation)
-         do i=1,klon
+         DO i=1,klon
               ale_bl_ref(i)=Ale_bl(i)
          enddo
@@ -255,5 +255,5 @@
 
         !----Initializations and random number generation
-        do i=1,klon
+        DO i=1,klon
 !!jyg           proba_notrig(i)=1.
            random_notrig(i)=1e6*ale_bl_stat(i)-int(1e6*ale_bl_stat(i))
@@ -273,5 +273,5 @@
 
         !----alp_bl computation
-        do i=1,klon
+        DO i=1,klon
            IF ( (ale_bl_ref(i) > abs(cin(i))+1.e-10) )  THEN
               birth_number = n2(i)*exp(-strig(i)/s2(i))
@@ -292,5 +292,5 @@
 
         !----ale_bl_trig computation
-         do i=1,klon
+         DO i=1,klon
            IF (random_notrig(i) >= proba_notrig(i)) THEN
               ale_bl_trig(i)=ale_bl_ref(i)
@@ -324,5 +324,5 @@
                 WRITE(lunout,*)'Couplage Thermiques/Emanuel seulement si T<0'
              ENDIF
-             do i=1,klon
+             DO i=1,klon
                 IF (t_seri(i,lmax_th(i))>273.) THEN
                    Ale_bl(i)=0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5158)
@@ -41,5 +41,5 @@
   lat_nord=lat_sahel+25.
   lat_sud=lat_sahel-25.
-  do j=1,klon
+  DO j=1,klon
      !===========
      IF (lat(j) < 5. ) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5158)
@@ -207,6 +207,6 @@
          logexpr0=prt_level>=10
          nbptspb=0
-         do k=1,klev
-            do i=1,klon
+         DO k=1,klev
+            DO i=1,klon
 ! Attention teste abderr 19-03-09
 !               logexpr2(i,k)=.NOT.q_seri(i,k).ge.0.
@@ -219,5 +219,5 @@
                 nbptspb=nbptspb+1
 #ifdef ISO
-                do ixt=1,ntiso
+                DO ixt=1,ntiso
                   xt_seri(ixt,i,k)=1.e-15*(xt_seri(ixt,i,k)/qprec(i,k))
                   ! xt_seri(ixt,i,k)=1.e-15*(Rdefault(index_iso(ixt)))
@@ -249,5 +249,5 @@
 
 
-         do isplit=1,nsplit_thermals
+         DO isplit=1,nsplit_thermals
 
           IF (iflag_thermals>=1000) THEN
@@ -345,9 +345,9 @@
       IF (iflag_thermals<=12.OR.iflag_thermals>=1000) THEN
          lmax(:)=1
-         do k=1,klev-1
+         DO k=1,klev-1
             zdetr_therm(:,k)=zentr_therm(:,k)+zfm_therm(:,k)-zfm_therm(:,k+1)
          enddo
-         do k=1,klev-1
-            do i=1,klon
+         DO k=1,klev-1
+            DO i=1,klon
                IF (zfm_therm(i,k+1)>0.) lmax(i)=k
             enddo
@@ -374,5 +374,5 @@
          +zdetr_therm(:,k)*fact(:)
 #ifdef ISO
-            do ixt=1,ntiso
+            DO ixt=1,ntiso
               d_xt_the(ixt,:,k)=d_xt_the(ixt,:,k)*dtime*fact(:)
             enddo
@@ -438,5 +438,5 @@
                 nbptspb=nbptspb+1
 #ifdef ISO
-                do ixt=1,ntiso
+                DO ixt=1,ntiso
                   xt_seri(ixt,i,k)=1.e-15*(xtmemoire(ixt,i,k)/qmemoire(i,k))
                 enddo
@@ -482,6 +482,6 @@
 
       fmc_therm=0.
-               do k=1,klev
-            do i=1,klon
+               DO k=1,klev
+            DO i=1,klon
                   IF (entr_therm(i,k)>0.) THEN
                      fmc_therm(i,k+1)=fmc_therm(i,k)+entr_therm(i,k)
@@ -500,7 +500,7 @@
 !CR:on ne le calcule que pour le cas sec
       IF (iflag_thermals<=11) THEN
-      do i=1,klon
+      DO i=1,klon
          zqasc(i,1)=q_seri(i,1)
-         do k=2,klev
+         DO k=2,klev
             IF (fmc_therm(i,k+1)>1.e-6) THEN
                zqasc(i,k)=(fmc_therm(i,k)*zqasc(i,k-1)  &
@@ -517,6 +517,6 @@
 !     calcul de l'eau condensee dans l'ascendance
 !             PRINT*,'<<<<calcul de leau condensee dans thermique'
-             do i=1,klon
-                do k=1,klev
+             DO i=1,klon
+                DO k=1,klev
                    clwcon0(i,k)=zqasc(i,k)-zqsat(i,k)
                    IF (clwcon0(i,k)<0. .OR.   &
@@ -527,6 +527,6 @@
              enddo
        else
-              do i=1,klon
-                do k=1,klev
+              DO i=1,klon
+                DO k=1,klev
                    clwcon0(i,k)=zqla(i,k)  
                    IF (clwcon0(i,k)<0. .OR.   &
@@ -541,6 +541,6 @@
 
 !jyg  Protection contre les temperatures nulles
-          do i=1,klon
-             do k=1,klev
+          DO i=1,klon
+             DO k=1,klev
                 IF (ztla(i,k) < 1.e-10) fraca(i,k) =0.
              enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5158)
@@ -3,8 +3,8 @@
 
       SUBROUTINE clc_core_cp(du, dt, dq, t1, q1, &
-     				zu, zt, zq, &
-     					P,&
-     				n_it, mixte, &
-    			 coeffs, rugosm, rugosh)
+                     zu, zt, zq, &
+                         P,&
+                     n_it, mixte, &
+                 coeffs, rugosm, rugosh)
 
       IMPLICIT NONE
@@ -114,5 +114,5 @@
 !!!!!!!!! début des itérations....
 
-  do i = 1,n_it
+  DO i = 1,n_it
 
      usr = cd_rt * u 
@@ -150,5 +150,5 @@
      END IF
 
-     do j =2,3
+     DO j =2,3
         IF ( zeta(j) > 0 ) THEN
            psi(1,j) = -5.*zeta(j)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5158)
@@ -188,5 +188,5 @@
 
   !***************  bulk loop ************
-  do i=1, nits
+  DO i=1, nits
 
      zet=von*grav*zu/t*(tsr*(1+0.61*Q)+.61*t*qsr)/(usr*usr)/(1+0.61*Q)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5158)
@@ -45,6 +45,7 @@
             GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
     USE lmdz_yomcst
-
-    INCLUDE "YOMCST2.h"
+    USE lmdz_yomcst2
+
+    IMPLICIT NONE
 
     ! Configuration de la "physique" de LMDZ a l'aide de la fonction
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/array_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/array_lib.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/array_lib.F90	(revision 5158)
@@ -141,5 +141,5 @@
   xsort = xarr(ist)
   
-  do i=1,nxx
+  DO i=1,nxx
     iloc = infind(xsort,xxarr(i),dist=d)
     if (d > tol) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/congvec.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/congvec.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/congvec.h	(revision 5158)
@@ -37,5 +37,5 @@
 ! *****************************COPYRIGHT*******************************
 
-      do irand = 1, npoints
+      DO irand = 1, npoints
           ! Marsaglia CONG algorithm
           seed(irand)=69069*seed(irand)+1234567
@@ -48,5 +48,5 @@
       overflow_32=i2_16*i2_16
       if ( overflow_32 .le. huge32 ) then
-          do irand = 1, npoints
+          DO irand = 1, npoints
               ran(irand)=ran(irand)+1
               ran(irand)=(ran(irand))-int(ran(irand))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_output_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_output_mod.F90	(revision 5158)
@@ -72,5 +72,5 @@
          "clmcalipsoice", "CALIPSO Ice-Phase Mid Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clmcalipsoliq = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clmcalipsoliq", "CALIPSO Liq-Phase Mid Level Cloud Fraction", "%", (/ ('', i=1, 3) /))	 	 
+         "clmcalipsoliq", "CALIPSO Liq-Phase Mid Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clhcalipsoice = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & 
          "clhcalipsoice", "CALIPSO Ice-Phase High Level Cloud Fraction", "%", (/ ('', i=1, 3) /))  
@@ -80,5 +80,5 @@
          "cltcalipsoice", "CALIPSO Ice-Phase Tot Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_cltcalipsoliq = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "cltcalipsoliq", "CALIPSO Liq-Phase Tot Level Cloud Fraction", "%", (/ ('', i=1, 3) /))	 	 
+         "cltcalipsoliq", "CALIPSO Liq-Phase Tot Level Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_cllcalipsoun = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & 
          "cllcalipsoun", "CALIPSO Undefined-Phase Low Level Cloud Fraction", "%", (/ ('', i=1, 3) /))  
@@ -94,5 +94,5 @@
          "clcalipsoliq", "Lidar Liq-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsoun = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
-         "clcalipsoun", "Lidar Undef-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))	 
+         "clcalipsoun", "Lidar Undef-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsotmpice = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &
          "clcalipsotmpice", "Lidar Ice-Phase Cloud Fraction", "%", (/ ('', i=1, 3) /))
@@ -115,7 +115,7 @@
          "clcalipsothin", "Lidar Thin profile Cloud Fraction", "%", (/ ('', i=1, 3) /))         !OPAQ
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsozopaque = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & !OPAQ
-         "clcalipsozopaque", "Lidar z_opaque Fraction", "%", (/ ('', i=1, 3) /))	        !OPAQ
+         "clcalipsozopaque", "Lidar z_opaque Fraction", "%", (/ ('', i=1, 3) /))            !OPAQ
   TYPE(ctrl_outcosp), SAVE :: o_clcalipsoopacity = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), & !OPAQ
-         "clcalipsoopacity", "Lidar opacity Fraction", "%", (/ ('', i=1, 3) /))	                !OPAQ
+         "clcalipsoopacity", "Lidar opacity Fraction", "%", (/ ('', i=1, 3) /))                    !OPAQ
 
   TYPE(ctrl_outcosp), SAVE :: o_proftemp = ctrl_outcosp((/ .TRUE., .TRUE., .TRUE. /), &         !TIBO
@@ -243,5 +243,5 @@
   integer                  :: Nlevlmdz, Ncolumns      ! Number of levels
   real,dimension(Nlevlmdz) :: presnivs
-  real                     :: dtime, freq_cosp, ecrit_day, ecrit_hf, ecrit_mth 
+  REAL                     :: dtime, freq_cosp, ecrit_day, ecrit_hf, ecrit_mth
   logical                  :: ok_mensuelCOSP, ok_journeCOSP, ok_hfCOSP, use_vgrid, ok_all_xml                    
   type(cosp_vgrid)   :: vgrid   ! Information on vertical grid of stats
@@ -250,5 +250,5 @@
 !!! Variables locales
   integer                   :: idayref, iff, ii
-  real                      :: zjulian,zjulian_start
+  REAL                      :: zjulian,zjulian_start
   real,dimension(Ncolumns)  :: column_ax
   real,dimension(DBZE_BINS) ::  dbze_ax
@@ -271,9 +271,9 @@
 
 !! Definition valeurs axes
-    do ii=1,Ncolumns
+    DO ii=1,Ncolumns
       column_ax(ii) = real(ii)
     enddo
 
-    do i=1,DBZE_BINS
+    DO i=1,DBZE_BINS
      dbze_ax(i) = CFAD_ZE_MIN + CFAD_ZE_WIDTH*(i - 0.5)
     enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_output_write_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/cosp_output_write_mod.F90	(revision 5158)
@@ -31,5 +31,5 @@
 !!! Variables d'entree
   integer               :: itap, Nlevlmdz, Ncolumns, Npoints
-  real                  :: freq_COSP, dtime, missing_val, missing_cosp
+  REAL                  :: freq_COSP, dtime, missing_val, missing_cosp
   type(cosp_config)     :: cfg     ! Control outputs
   type(cosp_gridbox)    :: gbx     ! Gridbox information. Input for COSP
@@ -161,5 +161,5 @@
 
    IF (using_xios) THEN
-     do icl=1,SR_BINS
+     DO icl=1,SR_BINS
         tmp_fi4da_cfadL(:,:,icl)=stlidar%cfad_sr(:,icl,:)
      enddo
@@ -169,10 +169,10 @@
    ELSE
      if (cfg%LcfadLidarsr532) then
-       do icl=1,SR_BINS
+       DO icl=1,SR_BINS
           CALL histwrite3d_cosp(o_cfad_lidarsr532,stlidar%cfad_sr(:,icl,:),nvert,icl)
        enddo
      endif
      if (cfg%LprofSR) then
-       do icl=1,Ncolumns                                                              !TIBO
+       DO icl=1,Ncolumns                                                              !TIBO
           CALL histwrite3d_cosp(o_profSR,stlidar%profSR(:,icl,:),nvert,icl)           !TIBO
        enddo                                                                          !TIBO
@@ -183,6 +183,6 @@
 
   if (cfg%LparasolRefl) then
-    do k=1,PARASOL_NREFL
-     do ip=1, Npoints
+    DO k=1,PARASOL_NREFL
+     DO ip=1, Npoints
       if (stlidar%cldlayer(ip,4).gt.0.01.and.stlidar%parasolrefl(ip,k).ne.missing_val) then
         parasolcrefl(ip,k)=(stlidar%parasolrefl(ip,k)-0.03*(1.-stlidar%cldlayer(ip,4)))/ &
@@ -203,5 +203,5 @@
    ELSE
      if (cfg%Latb532) then
-       do icl=1,Ncolumns
+       DO icl=1,Ncolumns
           CALL histwrite3d_cosp(o_atb532,sglidar%beta_tot(:,icl,:),nvertmcosp,icl)
        enddo
@@ -218,5 +218,5 @@
    where(stradar%cfad_ze == R_UNDEF) stradar%cfad_ze = missing_val
    IF (using_xios) THEN
-     do icl=1,DBZE_BINS
+     DO icl=1,DBZE_BINS
        tmp_fi4da_cfadR(:,:,icl)=stradar%cfad_ze(:,icl,:)
      enddo
@@ -226,10 +226,10 @@
    ELSE
      if (cfg%Ldbze94) then
-       do icl=1,Ncolumns
+       DO icl=1,Ncolumns
          CALL histwrite3d_cosp(o_dbze94,sgradar%Ze_tot(:,icl,:),nvert,icl)
        enddo
      endif
      if (cfg%LcfadDbze94) then
-       do icl=1,DBZE_BINS
+       DO icl=1,DBZE_BINS
          CALL histwrite3d_cosp(o_cfadDbze94,stradar%cfad_ze(:,icl,:),nvert,icl)
        enddo
@@ -266,5 +266,5 @@
    ELSE
      if (cfg%Lclisccp) then
-       do icl=1,7
+       DO icl=1,7
          CALL histwrite3d_cosp(o_clisccp2,isccp%fq_isccp(:,icl,:),nvertisccp,icl)
        enddo
@@ -287,5 +287,5 @@
 
    IF (using_xios) THEN
-     do icl=1,MISR_N_CTH
+     DO icl=1,MISR_N_CTH
         tmp_fi4da_misr(:,icl,:)=misr%fq_MISR(:,:,icl)
      enddo
@@ -294,5 +294,5 @@
    ELSE
      if (cfg%LclMISR) then
-      do icl=1,7
+      DO icl=1,7
         CALL histwrite3d_cosp(o_clMISR,misr%fq_MISR(:,icl,:),nvertmisr,icl)
       enddo
@@ -367,5 +367,5 @@
    ELSE
      if (cfg%Lclmodis) then
-       do icl=1,7
+       DO icl=1,7
          CALL histwrite3d_cosp(o_clmodis, &
          modis%Optical_Thickness_vs_Cloud_Top_Pressure(:,icl,:),nvertisccp,icl)
@@ -385,5 +385,5 @@
    ELSE
      if (cfg%Lcrimodis) then
-       do icl=1,7
+       DO icl=1,7
          CALL histwrite3d_cosp(o_crimodis, &
             modis%Optical_Thickness_vs_ReffIce(:,icl,:),nvertReffIce,icl)
@@ -391,5 +391,5 @@
      endif
      if (cfg%Lcrlmodis) then
-       do icl=1,7
+       DO icl=1,7
          CALL histwrite3d_cosp(o_crlmodis, &
             modis%Optical_Thickness_vs_ReffLiq(:,icl,:),nvertReffLiq,icl)
